> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipment Reservations

> Returns the assigned reservations (pick locations) for a shipment in Picking status.

Reservations represent the specific warehouse locations where items should be picked
from to fulfill this shipment. This endpoint is only available for shipments with
status "picking".



## OpenAPI

````yaml GET /v1/shipping/shipments/{id}/reservations
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: Locations
    x-displayName: Locations
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/shipping/shipments/{id}/reservations:
    get:
      tags:
        - Shipments
      summary: Get Shipment Reservations
      description: >-
        Returns the assigned reservations (pick locations) for a shipment in
        Picking status.


        Reservations represent the specific warehouse locations where items
        should be picked

        from to fulfill this shipment. This endpoint is only available for
        shipments with

        status "picking".
      operationId: getShipmentReservations
      parameters:
        - name: id
          in: path
          schema:
            type: integer
            format: int32
            minimum: 1
          required: true
          description: The shipment ID
        - $ref: '#/components/parameters/Shipping_API_v1_limit'
        - $ref: '#/components/parameters/Shipping_API_v1_cursor_start'
        - $ref: '#/components/parameters/Shipping_API_v1_shipment-reservation-sort'
        - $ref: '#/components/parameters/Shipping_API_v1_shipment-reservation-filter'
        - name: fields
          in: query
          required: false
          description: Specify additional fields to include in the response
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - all
                - basic
                - quantity
                - is_locked
                - location
                - item
                - qty_picked
        - $ref: '#/components/parameters/Shipping_API_v1_shipment-item-fields'
        - $ref: '#/components/parameters/Shipping_API_v1_shipment-item-product-fields'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-item-order_item'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-location'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-location-lot'
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-location-location_type
        - $ref: '#/components/parameters/Shipping_API_v1_fields-location-product'
        - $ref: '#/components/parameters/Shipping_API_v1_fields-location-rack'
      responses:
        '200':
          description: |-
            A dictionary with a `collection` property that contains a list of 
            `Reservation` objects for the specified shipment.
          content:
            application/json:
              schema:
                type: object
                properties:
                  collection:
                    type: array
                    description: A list of `Reservation` objects.
                    items:
                      $ref: '#/components/schemas/Shipping_API_v1_Reservation'
        '400':
          $ref: '#/components/responses/Shipping_API_v1_400-bad-request'
        '404':
          $ref: '#/components/responses/Shipping_API_v1_404-not-found'
        '422':
          $ref: '#/components/responses/Shipping_API_v1_422-unprocessable'
        '500':
          $ref: '#/components/responses/Shipping_API_v1_500-internal-server-error'
components:
  parameters:
    Shipping_API_v1_limit:
      name: limit
      in: query
      description: A limit on the number of objects to be returned.
      style: form
      schema:
        type: integer
        example: 100
        default: 100
        minimum: 1
        maximum: 1000
    Shipping_API_v1_cursor_start:
      name: cursor_start
      in: query
      description: >-
        A cursor for use in pagination which defines the starting `id` of the
        next page of results.

        See [paging parameters](/global-api/paging-parameters) for more
        information on paging.
      schema:
        type: integer
      style: form
    Shipping_API_v1_shipment-reservation-sort:
      name: sort
      in: query
      description: >-
        The default sort order is **descending** by primary key (`sort=-id`).


        Using the [sorting syntax](/global-api/sorting-syntax), the following
        fields are available for sorting:
          - `id`
          - `quantity`
          - `qty_picked`
      schema:
        type: string
        pattern: ^-?\w+(,-?\w+)*$
      allowReserved: true
      examples:
        Sort by location label:
          summary: Sort by location label
          value: location_label
        Sort by quantity reserved (descending):
          summary: Sort by quantity reserved (descending)
          value: '-quantity'
    Shipping_API_v1_shipment-reservation-filter:
      name: filter
      in: query
      description: >-
        Using the [filtering syntax](/global-api/filtering-syntax), you may
        filter the results using the following fields:
          - `id`
          - `location_id`
          - `product_id`
          - `qty`
          - `qty_picked`
          - `is_locked`
      style: form
      explode: true
      schema:
        type: array
        items:
          type: string
      required: false
      allowReserved: true
      examples:
        Filter by location:
          summary: Filter by location ID
          value:
            - location_id:123
        Filter by locked status:
          summary: Filter by locked reservations
          value:
            - is_locked:true
    Shipping_API_v1_shipment-item-fields:
      name: fields:item
      in: query
      required: false
      description: >-
        Specify additional fields of the `ShipmentItem` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_shipment-item-fields-enum'
    Shipping_API_v1_shipment-item-product-fields:
      name: fields:item.product
      in: query
      required: false
      description: >-
        Specify additional fields of the `Product` objects to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_product-packaging-fields-enum'
    Shipping_API_v1_fields-item-order_item:
      name: fields:item.order_item
      in: query
      required: false
      description: >-
        Specify additional fields of the `OrderItem` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_items-order_item-fields-enum'
    Shipping_API_v1_fields-location:
      name: fields:location
      in: query
      required: false
      description: >-
        Specify additional fields of the `Location` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_location-fields-enum'
    Shipping_API_v1_fields-location-lot:
      name: fields:location.lot
      in: query
      required: false
      description: >-
        Specify additional fields of the `Lot` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_lot-fields-enum'
    Shipping_API_v1_fields-location-location_type:
      name: fields:location.location_type
      in: query
      required: false
      description: >-
        Specify additional fields of the `LocationType` object (via Location) to
        be included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_location_type-fields-enum'
    Shipping_API_v1_fields-location-product:
      name: fields:location.product
      in: query
      required: false
      description: >-
        Specify additional fields of the `Product` object (via Location) to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_product-packaging-fields-enum'
    Shipping_API_v1_fields-location-rack:
      name: fields:location.rack
      in: query
      required: false
      description: >-
        Specify additional fields of the `Rack` object (via Location) to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_rack-fields-enum'
  schemas:
    Shipping_API_v1_Reservation:
      title: Reservation
      type: object
      description: >-
        Represents a reservation of inventory at a specific location for a
        shipment item.

        Reservations indicate where warehouse workers should pick the specified
        quantity.
      properties:
        type:
          type: string
          enum:
            - Reservation
        id:
          type: integer
          format: int64
          description: The reservation ID
          example: 12345
        quantity:
          type: number
          format: float
          description: The quantity to pick from this location
          example: 2.5
        qty_picked:
          type: number
          format: float
          description: The quantity already picked
          example: 0
        is_locked:
          type: boolean
          description: Whether this reservation is locked for picking
          example: true
        location:
          allOf:
            - description: The warehouse location where the item should be picked
            - $ref: '#/components/schemas/Shipping_API_v1_LocationRef'
        item:
          allOf:
            - description: The shipment item this reservation applies to
            - $ref: '#/components/schemas/Shipping_API_v1_ShipmentItemRef'
      required:
        - type
        - id
        - quantity
        - qty_picked
        - is_locked
        - location
        - item
      additionalProperties: false
    Shipping_API_v1_shipment-item-fields-enum:
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - sku
          - product
          - quantity
          - qty_shipped
          - qty_picked
          - qty_canceled
          - qty_cancel_requested
          - order_item
          - reservations
    Shipping_API_v1_product-packaging-fields-enum:
      title: Product Or Packaging
      description: >-
        Specify additional fields of the `Product` or `Packaging*` object to be
        included in the response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - created_at
          - updated_at
          - container_options
          - supplies_options
          - data_collection_options
          - instruction_options
          - infill_options
          - vendor_sku
          - external_id
          - barcodes
          - goods_type
          - is_available
          - is_visible
          - weight
          - dimensions
          - volume
          - inventory
          - export
          - regulated_goods
          - packaging
          - custom_fields
    Shipping_API_v1_items-order_item-fields-enum:
      type: array
      items:
        type: string
        enum:
          - all
          - order_item_ref
          - qty_ordered
          - qty_assigned
          - qty_allocated
          - qty_backordered
          - qty_processing
          - qty_picked
          - qty_shipped
          - qty_cancel_requested
          - qty_canceled
          - row_weight
    Shipping_API_v1_location-fields-enum:
      title: Location
      description: >-
        Specify additional fields of the `Location` object to be included in the
        response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - label
          - priority
          - qty_on_hand
          - qty_putaway
          - qty_unreserved
          - qty_reserved
          - qty_locked
          - is_temp
          - is_pickable
          - is_type_auto
          - created_at
          - updated_at
          - last_cyclecount_at
          - lot
          - product
          - rack
          - location_type
    Shipping_API_v1_lot-fields-enum:
      title: Lot
      description: >-
        Specify additional fields of the `Lot` object to be included in the
        response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - id
          - lot_number
          - origination_date
          - expiration_date
          - is_expired
          - is_active
          - lot_number_input
          - expiration_input
          - sort_value
          - days_until_expiration
          - sort_direction
          - group_value
          - created_at
          - updated_at
          - created_by
          - lot_type
          - product
    Shipping_API_v1_location_type-fields-enum:
      title: LocationType
      description: >-
        Specify additional fields of the `LocationType` object to be included in
        the response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - name
          - is_pickable
          - slot_dimensions
          - created_at
          - updated_at
    Shipping_API_v1_rack-fields-enum:
      title: Rack
      description: >-
        Specify additional fields of the `Rack` object to be included in the
        response.
      type: array
      items:
        type: string
        enum:
          - all
          - id
          - name
          - rack_type
          - location_pattern
          - picking_order
          - warehouse
    Shipping_API_v1_LocationRef:
      title: LocationRef
      type: object
      description: A reference to a `Location` by `id`.
      properties:
        type:
          type: string
          description: This property describes the type of object in the response body.
          enum:
            - Location
        id:
          type: integer
          format: int32
          example: 42
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Shipping_API_v1_ShipmentItemRef:
      title: ShipmentItem
      type: object
      properties:
        type:
          type: string
          enum:
            - ShipmentItem
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        product:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_ProductRef'
            - description: The Product this shipment line-item refers to.
      required:
        - type
        - id
      additionalProperties: false
    Shipping_API_v1_ProductRef:
      title: ProductRef
      type: object
      description: A reference to a `Product` object by `id`.
      properties:
        type:
          type: string
          enum:
            - Product
          description: This property describes the type of object in the response body.
        id:
          type: integer
          format: int32
          example: 3
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
  responses:
    Shipping_API_v1_400-bad-request:
      description: >-
        The request was invalid. The client must change the request. See the
        response body for more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - parser
                        - parameters
                        - openapi
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: parameters
                message: The supplied parameters are invalid.
                details:
                  - key: hold_until_date
                    message: The date must be in the future.
    Shipping_API_v1_404-not-found:
      description: >-
        The requested resource was not found. It may have been deleted, it may
        have never existed, or you may not have permission to view it.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - not_found
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: not_found
                message: The server could not find the requested resource.
    Shipping_API_v1_422-unprocessable:
      description: >-
        There was an error processing the request. See the response body for
        more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - application
                        - unable_to_process
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: unable_to_process
                message: The supplied parameters are invalid.
                details:
                  - key: hold_until_date
                    message: The date must be in the future.
    Shipping_API_v1_500-internal-server-error:
      description: >-
        Internal Server Error - Something wrong happened at server side. Contact
        server administrator for more details.
  securitySchemes:
    ShipStream_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT access token through a Custom Global Integration and
        provide it with each request in the `Authorization` header prefixed with
        "Bearer" and then a single space.

````